Name: H5Pget_vlen_mem_manager
Signature:
  herr_t `H5Pget_vlen_mem_manager`(hid_t `plist`, H5MM_allocate_t *`alloc`, void **`alloc_info`, H5MM_free_t *`free`, void **`free_info` )
Purpose:
  Gets the memory manager for variable-length datatype allocation in `H5Dread` and `H5Dvlen_reclaim`.
Description:
  `H5Pget_vlen_mem_manager` is the companion function to `H5Pset_vlen_mem_manager`, returning the parameters set by that function.
Parameters:

hid_t `plist` | IN: Identifier for the dataset transfer property list.
H5MM_allocate_t `alloc` | OUT: User's allocate routine, or `NULL` for system `malloc`.
void *`alloc_info` | OUT: Extra parameter for user's allocation routine. Contents are ignored if preceding parameter is `NULL`.
H5MM_free_t `free` | OUT: User's free routine, or `NULL` for system `free`.
void *`free_info` | OUT: Extra parameter for user's free routine. Contents are ignored if preceding parameter is `NULL`.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface:
  None.